import "./tasks/fastq_ncm.wdl" as fastq_ncm
import "./tasks/vaf_ncm.wdl" as vaf_ncm

workflow {{ project_name }} {
  
  String sample_id
  File fastq1
  File fastq2
  String output_id
  String subsampling_rate
  String docker
  String cluster_config
  String disk_size

  call fastq_ncm.fastq_ncm as fastq_ncm {
    input:
    fq1=fastq1,
    fq2=fastq2,
    out_id=output_id,
    subsampling_rate=subsampling_rate,
    docker=docker,
    disk_size=disk_size,
    cluster_config=cluster_config
  }
}
